newJob {seqminer} | R Documentation

## Create a new job

### Description

Create a new job

### Usage

    newJob(id, cmd, outFile, depend = NULL)

### Arguments

`id` | character, job ids.
`cmd` | character, commands to run
`outFile` | character, the output file names after command are run successfully
`depend` | character vector, specify the prerequisite files (e.g. outFile from other jobs)

### Examples

    j1 <- newJob('id1', 'cmd out1', 'out1')
    j2 <- newJob('id2', 'cmd out2', 'out2', depend = 'out1')

[Package seqminer version 7.1 Index]